<?php

session_start();

header('Content-type:application/xls');

header('Content-Disposition: attachment; filename=Informe.xls');

$db = new PDO('mysql:host=localhost;charset=utf8;dbname=corma_psicologo','corma_psicologo','Corma_277',array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));

?>

	<meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8" />

    <table border="1" cellpadding="2" cellspacing="0" width="100%">

	<table>



        <tr>

            <th width="40">Folio</th>

           	<th>Rut OECL</th> 

            <th>Cargo</th>

            <th>Sub Cargo</th>

            <th>Fecha</th>

            <th>Estado del proceso</th>

            <th>Rut Evaluado</th>


            <th>Fecha Registro</th>

			<th>Fecha eliminacion</th>

			<th>Estado FOLIO</th>


            <th>Rut Evaluador</th>

            <th>Evaluador</th>

            <th>Emsefor</th>

            <th>Periodo</th>

            <th>Ver Archivo</th>

            <th>Entrevista Personal</th>

            <th>Raven</th>

            <th>FQ</th>

            <th>Sensotecnico</th>

            <th>Formas Identicas</th>

            <th>Test por subir 1</th>

            <th>Test por subir 2</th>

            <th>Test por subir 3</th>

            <th>Test por subir 4</th>

            <th>Test por subir 5</th>


         </tr>

         <?php

	$consulta ="

	select 
	distinct
	instancia_evaluada.id_instancia_evaluada as 'id', 
    oecl.id_oecl as 'rut_oecl',
	instancia_evaluada.rut as 'rut_evaluado',
	instancia_evaluada.cargo as 'cargo',
	instancia_evaluada.subcargo as 'subcargo',
	instancia_evaluada.fecha as 'fecha',
	evaluado.nombre as 'nombre_evaluado', 
	evaluado.rut as 'rut_evaluado', 
	instancia_evaluada.estado_evaluacion as 'resultado_proceso',
	instancia_evaluada.rut_evaluador as 'rut_evaluador',
	usuario.nombre as 'nombre_evaluador',
	instancia_evaluada.emsefor as 'emsefor',
	instancia_evaluada.periodo as 'periodo',
	instancia_evaluada.herramientas_a_subir as 'herramientas',
	instancia_evaluada.fecha_registro as 'fecha_registro',
	instancia_evaluada.fecha_eliminacion as 'fecha_eliminacion',
	instancia_evaluada.estado_folio as 'estado_folio'
	from 
	evaluado,
	instancia_evaluada,
	usuario,
    oecl
	where
	evaluado.rut=instancia_evaluada.rut
	and
	instancia_evaluada.rut_evaluador=usuario.rut_evaluador
	and
	instancia_evaluada.rut_evaluador=usuario.rut_evaluador 
	and
    instancia_evaluada.oecl=oecl.nombre_oecl
    and
	instancia_evaluada.fecha BETWEEN  ? and  ?  order by instancia_evaluada.fecha LIMIT 90000

	";

	$stmt = $db->prepare($consulta);

	$stmt->bindParam(1,$_SESSION['fecha_inicio']);

	$stmt->bindParam(2,$_SESSION['fecha_final']);

	$stmt->execute();

	while($row = $stmt->fetch()){

		?>

		<tr>

	        <td><?php echo 	$row['id'];  $instancia=$row['id']; $rutevaluado=$row['rut_evaluado'];?></td>

	        <td><?php echo $row['rut_oecl']?></td>

	        <td><?php echo 	$row['cargo'];?></td>

			<td><?php echo 	$row['subcargo'];?></td>

	        <td><?php echo 	$row['fecha'];?></td>

	        <td>

	        	<?php 

	        	 if($row['resultado_proceso']=="1"){

	        	 	echo "Aprobado";

	        	 }elseif($row['resultado_proceso']=="0"){

	        	 	echo "No Aprueba";

	        	 }

	        	?>		

	        </td>
	        <td><?php echo $row['rut_evaluado']?></td>

	        

	        <td><?php echo 	$row['fecha_registro'];?></td>	  

			<td><?php echo 	$row['fecha_eliminacion'];?></td>	  

			<td><?php echo 	$row['estado_folio'];?></td>

	        

	        <td><?php echo 	$row['rut_evaluador'];?></td>

	        <td><?php echo 	$row['nombre_evaluador'];?></td>

	        <td><?php echo 	$row['emsefor'];?></td>

	        <td><?php echo 	$row['periodo'];?></td>	  

	        <td><a href="http://iinal.cl/corma/backend/generar_pdf.php?instancia=<?php echo $row['id'] ?>">Descargar informe</a></td>       

	

	        <?php



	        	$consultax ="select min(examen.id_examen) as 'min', max(examen.id_examen) as 'max' from examen";

				$stmtx = $db->prepare($consultax);

				$stmtx->execute();

				while($row2 = $stmtx->fetch()){

					$min=$row2['min'];

					$max=$row2['max'];

			

				}



				



	        	for($i=$min; $i<$max+1; $i++){

	        		$pas=0;

					$consulta2 ="select examen.nombre_examen as 'examen' from instancia_evaluada, instancia_examen, examen 

						where 

						instancia_evaluada.id_instancia_evaluada=instancia_examen.id_instancia_evaluada

						and

						instancia_examen.id_examen=examen.id_examen

						and

						instancia_examen.id_examen=?

						and

						instancia_examen.id_instancia_evaluada=?";

					$stmt2 = $db->prepare($consulta2);

					$stmt2->bindParam(1,$i);

					$stmt2->bindParam(2,$instancia);

					$stmt2->execute();

					while($row3 = $stmt2->fetch()){

						$pas=1;

						if(!empty($row3['examen'])){

							?>

							<td><a href="http://iinal.cl/corma/backend/uploads/<?php echo $rutevaluado."-".$i."-".$instancia.".pdf";?>">Ver Archivo</a></td>	

							<?php

						}

					}



					if($pas==0){

							?>

							 <td><?php echo "X"; ?></td>	

							<?php

					}

					

	        	}

	        



	    		$herra=$row['herramientas'];

	        	$porciones = explode(",", $herra);

				$numero=count($porciones);

				for($i=0; $i<$numero; $i++){

					?><td>

						<?php

						$consulta3 ="select examen.nombre_examen as 'examen' from examen where examen.id_examen=?";

						$stmt3 = $db->prepare($consulta3);

						$stmt3->bindParam(1,$porciones[$i]);

						$stmt3->execute();

					while($row4 = $stmt3->fetch()){



						 echo $row4['examen']; 

					}

					?>

					</td><?php

				}





				?>
				<td><?php echo 	$row['fecha_registro'];?></td>	  

				<td><?php echo 	$row['fecha_eliminacion'];?></td>	  

				<td><?php echo 	$row['estado_folio'];?></td>	  




	        

	    </tr>

		<?php

	}



?>







 